@import url("https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400..700;1,400..700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Lato&family=Merriweather&family=Roboto:wght@100&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Lato&family=Merriweather&family=Noto+Sans:ital@0;1&family=Roboto:wght@100&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:ital@1&family=Lato&family=Merriweather&family=Noto+Sans:ital@0;1&family=Roboto:wght@100&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Josefin+Sans:ital@1&family=Lato&family=Merriweather&family=Noto+Sans:ital@0;1&family=Roboto:wght@100&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Jersey+10&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Dosis:wght@200..800&family=Lora:ital,wght@0,400..700;1,400..700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Concert+One&family=Handjet:wght@100..900&display=swap");

html {
  scroll-behavior: smooth;
}

* {
  margin: 0;
  padding: 0;
}
body {
  background-image: linear-gradient(135deg, #13547a 10%, #80d0c7 100%);
  font-family: "Roboto", sans-serif;
  box-sizing: border-box;
}

.to-top {
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  margin-right: auto;
  right: 30px;
  bottom: 20px;
  z-index: 999;
  /* position: sticky; */
}

.container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.contain {
  width: 80%;
  margin: 0 auto;
}

.card {
  display: flex;
  position: relative;
  border: 2px solid #10b8d6;
  border-radius: 20px;
  padding: 20px;
  width: auto;
  background-color: rgba(12, 27, 37, 0.845);
  height: 85vh;
  box-shadow: 0 6px 15px rgba(121, 197, 192, 1.5);
  animation: fadeIn 1.5s ease-in-out;
  overflow: hidden;
}


@keyframes fadeIn{
    from{
       opacity: 0;
        transform: translateY(30px);
        
    }
    to{
        opacity: 1;
        transform: translateY(0);
    }
}
header {
  margin-top: 15px;
  display: flex;
  height: 0;
  flex-grow: 1;
  justify-content: space-between;
  align-items: center;
}

.nav-items ul {
  display: flex;
  list-style: none;
  font-size: 21px;
  padding-top: 14px;
  margin: 0;
  color: #ffffff;
  font-family: "Roboto", sans-serif;
  font-weight: 300;
  font-style: normal;
  letter-spacing: 1px;
  cursor: pointer;
  animation: fadeNav 1.5s ease-in-out;
}

@keyframes fadeNav{
    from{
        opacity: 0;
    }
    to{
       opacity: 1;
    }
}

.nav-items li a {
  text-decoration: none;
  color: #ffffff;
}

.nav-items li {
  margin: 0 15px;
}

.logo {
  font-family: "jersey 10", sans-serif;
  font-size: 35px;
  font-weight: 400;
  font-style: normal;
  color: #ffffff;
  letter-spacing: 1px;
  padding-top: 4px;
 
}

.nav-items {
  flex-grow: 1;
  display: flex;
  justify-content: center;
}

.star {
  margin-right: 50px;
}
.star img {
  width: 20px;
  height: 20px;
  padding-top: 18px;
}

.home,
.skill,
.project,
.about,
.contact {
  position: relative;
  display: inline-block;
  cursor: pointer;
}

.home::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px; /* Adjust to control the distance from the text */
  width: 100%;
  height: 2px; /* Adjust the thickness of the underline */
  background-color: #e3c500; /* Change to your desired underline color */
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease; /* Adjust the duration for the animation speed */
}

.home:hover::after {
  transform: scaleX(1);
}
.about::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px;
  width: 100%;
  height: 2px;
  background-color: #e3c500;
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease-in-out;
}

.about:hover::after {
  transform: scale(1);
}
.skill::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px;
  width: 100%;
  height: 2px;
  background-color: #e3c500;
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease-in-out;
}
.skill:hover::after {
  transform: scaleX(1);
}
.project::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px;
  width: 100%;
  height: 2px;
  background-color: #e3c500;
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease-in-out;
}
.project:hover::after {
  transform: scaleX(1);
}
.contact::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px;
  width: 100%;
  height: 2px;
  background-color: #e3c500;
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease-in-out;
}
.contact:hover::after {
  transform: scaleX(1);
}

/* Section Start */
.section-image {
  margin-top: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

/* Text */
.intro {
  position: absolute;
  left: 100px;
  top: 220px;
  transition: opacity 3s ease-in-out;
  animation: nameFade 4s ease-in-out;
}

@keyframes nameFade{
    from{
        opacity: 0;
        transform: translateY(40px);
    }
    to{
        opacity: 1;
        transform: translateY(0);
    }
}

.me,
.me2 {
  font-size: 25px;
  margin-bottom: 8px;
  color: #ebebeb;
  font-family: "Noto Sans", sans-serif;
}

#scroll {
  font-family: "jersey 10", sans-serif;
  font-family: 25px;
  font-style: normal;
  font-weight: 400;
  letter-spacing: 3px;
}
.name {
  font-size: 30px;
  font-weight: bold;
  margin-bottom: 8px;
  color: rgb(255, 255, 255);
  letter-spacing: 2px;

  font-family: "Merriweather", serif;
}

.text {
  color: #fff700;
  font-family: "Lato", sans-serif;
}

.me3 {
  color: #fff700;
}

/* Profile */
.image-container {
  width: 200px;
  height: 200px;
  position: absolute;
  right: 80px;
  top: 180px;
  background-size: cover;
  border-radius: 50%;
  background-position: center;
  border: 2px solid #15d7f4;
  filter: drop-shadow(0 0 10px red);
  animation: glow 2s alternate infinite ease-in-out ,leftFade 4s ease-in-out;
  transition: opacity 3s ease-in-out;

}
@keyframes leftFade{
    from{
        opacity: 0;
        transform: translateX(100px);
    }
    to{
        opacity: 1;
        transform: translateX(0);
    }

}

@keyframes glow {
  0% {
    filter: drop-shadow(0 0 10px rgb(255, 77, 0));
  }
  100% {
    filter: drop-shadow(0 0 15px rgb(243, 235, 0));
  }
}
.image-container img {
  width: 100%;
  height: 100%;
  border-radius: 50%;
}
/* Cv Button Started */
.btn {
  position: absolute;
  left: 100px;
  bottom: 160px;
}

.btn a {
  text-decoration: none;
}

.download-btn {
  height: 45px;
  text-transform: uppercase;
  width: 130%;
  cursor: pointer;
  background: white;
  border: none;
  background: #e3c500;
  border-radius: 12px;
  overflow: hidden;
}

.button-content {
  transform: translateY(-45px);
  transition: all 250ms ease-in-out;
}

.svg-container,
.text-container {
  height: 45px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.text-container .text {
  font-size: 15px;
  color: #ffffff;
  font-weight: 600;
  letter-spacing: 1px;
  opacity: 1;
  transition: opacity ease-in-out 250ms;
}

.download-icon {
  height: 25px;
  width: 25px;
  fill: #ffffff;
  opacity: 0;
  transition: opacity ease-in-out 500ms;
}

/* hover state for the button */
.download-btn:hover .button-content {
  transform: translateY(0px);
}

.download-btn:hover .text {
  opacity: 0;
}

.download-btn:hover .download-icon {
  opacity: 1;
}

.download-btn:focus .download-icon {
  -webkit-animation: heartbeat 1.5s ease-in-out infinite both;
  animation: heartbeat 1.5s ease-in-out infinite both;
}

@-webkit-keyframes heartbeat {
  from {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transform-origin: center center;
    transform-origin: center center;
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
  10% {
    -webkit-transform: scale(0.91);
    transform: scale(0.91);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }
  17% {
    -webkit-transform: scale(0.98);
    transform: scale(0.98);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
  33% {
    -webkit-transform: scale(0.87);
    transform: scale(0.87);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }
  45% {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
}
@keyframes heartbeat {
  from {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transform-origin: center center;
    transform-origin: center center;
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
  10% {
    -webkit-transform: scale(0.91);
    transform: scale(0.91);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }
  17% {
    -webkit-transform: scale(0.98);
    transform: scale(0.98);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
  33% {
    -webkit-transform: scale(0.87);
    transform: scale(0.87);
    -webkit-animation-timing-function: ease-in;
    animation-timing-function: ease-in;
  }
  45% {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
  }
}

/* hover state for the button */

/* Cv button Ends */

/* Section End */

/* About section start */

.about-section {
  background-image: radial-gradient(
      circle,
      rgba(255, 255, 255, 1) 0%,
      rgba(255, 255, 255, 0) 150%
    ),
    /* Fading effect */ radial-gradient(#0000008e 1px, transparent 1px); /* Dots pattern */
  background-size: 100% 100%, 20px 20px; /* Size for fade and dots */
  background-position: center;
  position: relative;
  height: auto;
  padding: 40px 20px; /* Adjust padding to your preference */
  background-color: #e8e8ea; /* Light background color */
  text-align: center; /* Center text */
  color: #060606; /* Dark text color */
}

.about-section p {
  font-size: 3.5rem; /* Increase font size */
  font-weight: 400; /* Make the text bold */
  margin-bottom: 10px;
  font-family: "jersey 10", sans-serif;
  z-index: 999;
}

.about-content {
  margin-bottom: 30px;
  max-width: 900px; /* Set a max width for better readability */
  margin: 50px auto; /* Center content */
  font-size: 1.3rem; /* Adjust the font size for the content */
  line-height: 1.6; /* Set line height for readability */
  letter-spacing: 1px;
  color: #191919;
}

.about-content,.maincard{
  opacity: 0;
  transition: opacity 1.5s , transform 2s ease-in-out;
  transform: translateY(50px);
}
.morph{
    opacity: 0;
    transition: opacity 1.5s , transform 4s ease-in-out;
    transform: translateY(200px);
}
.icon-container{
    opacity: 0;
    transition: opacity 1.5s , transform 3s ease-in-out;
    transform: translateX(-50px);
}
.icon-container-b{
    opacity: 0;
    transition: opacity 1.5s , transform 3s ease-in-out;
    transform: translateX(50px);
}
.contact-card{
    opacity: 0;
    transition: opacity 3s ease-in-out;
}
.show-fade{
    opacity: 1;
    transform: translateY(0);
    
}

/* @keyframes */

.about-content strong {
  margin-top: 30px;
  display: block;
  font-family: "Dosis";
  font-weight: 450;
  font-style: normal;
}
.about-content span {
  color: rgb(255, 136, 0);
}
/* End Of About */

/* Skill Section Started */

.skills-section {
  display: flex;
  justify-content: center;
  height: 100vh;
  overflow: hidden;
  width: 100%;
  background-color: #e8e8ea;
  background-image: radial-gradient(
      circle,
      rgba(255, 255, 255, 1) 0%,
      rgba(255, 255, 255, 0) 150%
    ),
    /* Fading effect */ radial-gradient(#0000008e 1px, transparent 1px); /* Dots pattern */
  background-size: 100% 100%, 20px 20px;
}

.skill-card,
.project-container {
  position: relative;
  display: flex;
  border: 2px solid #10b8d6;
  padding: 20px;
  flex-shrink: 0;
  margin: 30px;
  border-radius: 15px;
  width: 80%;
  justify-content: center;
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
    rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
  background-color: #d7d7d784;
  /* overflow-y: hidden; */
}

.skill-card p {
  font-family: "jersey 10", sans-serif;
  font-weight: 400;
  font-size: 3.5rem;
  color: #000000;
  text-align: center;
}

.morph {
  position: absolute;
  margin-top: 60px;
  /* background-color: rgb(239, 2, 2); */
  border-color: #e3c500;
  border: 1px solid #bdbdbd98;
  border-radius: 50%;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
    rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

.morph svg {
  width: 80px;
  height: 80px;
}

/* .js{
    position: absolute;
    bottom: 45%;
    border-radius: 20px;
    align-items: center;
    justify-content: center;
    display: flex;
    width: 110px;
    height: 110px;
    /* border: 2px solid #0816aebb; */
/* background: rgba(0, 0, 0, 0.341); */
/* box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    
  }  */

.icon-container {
  display: flex;
  gap: 40px; /* Space between items */
  position: absolute;
  bottom: 3%;
  align-items: center;
  justify-content: start;
  flex-direction: column;
  left: 200px;
  /* Align items to the start */
}
.icon-container > div {
  display: flex;
  align-items: center;
  width: 80px;
  height: 80px;
  justify-content: center;
  border-color: #e3c500;
  border: 1px solid #bdbdbd98;
  border-radius: 50%;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
}
.icon-container-b > div {
  display: flex;
  align-items: center;
  width: 80px;
  height: 80px;
  justify-content: center;
  border-color: #e3c500;
  border: 1px solid #bdbdbd98;
  border-radius: 50%;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
}
.icon-container-b {
  display: flex;
  gap: 40px; /* Space between items */
  position: absolute;
  bottom: 3%;
  align-items: center;
  justify-content: start;
  flex-direction: column;
  right: 200px;
  /* Align items to the start */
}
.js .jstext {
  position: absolute;
  font-size: 12px;
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
  color: rgb(0, 0, 0);
}

.js:hover img {
  opacity: 0;
}
.js:hover .jstext {
  opacity: 1;
}

/* styles.css */

.html span {
  opacity: 0;
  position: absolute;
  font-family: "Roboto", sans-serif;
  font-size: 12px;
  font-weight: 400;
  transition: opacity 0.5s ease-in-out;
  color: #000000;
}

.html:hover img {
  opacity: 0;
}

.html:hover span {
  opacity: 1;
}
.css span {
  opacity: 0;
  position: absolute;
  font-family: "Roboto", sans-serif;
  font-size: 12px;
  font-weight: 400;
  transition: opacity 0.5s ease-in-out;
  color: #000000;
}

.css:hover img {
  opacity: 0;
}

.css:hover span {
  opacity: 1;
}
.git span {
  opacity: 0;
  position: absolute;
  font-family: "Roboto", sans-serif;
  font-size: 12px;
  font-weight: 400;
  transition: opacity 0.5s ease-in-out;
  color: #000000;
}

.git:hover img {
  opacity: 0;
}

.git:hover span {
  opacity: 1;
}
.react span {
  opacity: 0;
  position: absolute;
  font-family: "Roboto", sans-serif;
  font-size: 12px;
  font-weight: 400;
  transition: opacity 0.5s ease-in-out;
  color: #000000;
}

.react:hover img {
  opacity: 0;
}

.react:hover span {
  opacity: 1;
}
.express span {
  opacity: 0;
  position: absolute;
  font-family: "Roboto", sans-serif;
  font-size: 12px;
  font-weight: 400;
  transition: opacity 0.5s ease-in-out;
  color: #000000;
}

.express:hover img {
  opacity: 0;
}

.express:hover span {
  opacity: 1;
}
.node span {
  opacity: 0;
  position: absolute;
  font-family: "Roboto", sans-serif;
  font-size: 12px;
  font-weight: 400;
  transition: opacity 0.5s ease-in-out;
  color: #000000;
}

.node:hover img {
  opacity: 0;
}

.node:hover span {
  opacity: 1;
}
.mongo span {
  opacity: 0;
  position: absolute;
  font-family: "Roboto", sans-serif;
  font-size: 12px;
  font-weight: 400;
  transition: opacity 0.5s ease-in-out;
  color: #000000;
}

.mongo:hover img {
  opacity: 0;
}

.mongo:hover span {
  opacity: 1;
}

/* @keyframes drawLine {
    from {
        stroke-dasharray: 0, 50;
    }
    to {
        stroke-dasharray: 50, 0;
    }
}

line {
    animation: drawLine 2s infinite ease-in-out forwards;
} */

.skill-card img {
  width: 50%;
  height: 50%;
}
.js p {
  color: #ffffff;
  font-family: "Roboto";
  font-size: 10px;
}

/* Skill Section Ends */

/*  */

/* Project Section */
.projectSection {
  height: auto;
  display: flex;
  justify-content: center;
  background-color: #e8e8ea;
  background-image: radial-gradient(
      circle,
      rgba(255, 255, 255, 1) 0%,
      rgba(255, 255, 255, 0) 150%
    ),
    /* Fading effect */ radial-gradient(#0000008e 1px, transparent 1px); /* Dots pattern */
  background-size: 100% 100%, 20px 20px;
  /* padding: 30px; */
}
.projectSection p {
  font-family: "jersey 10", sans-serif;
  font-weight: 400;
  font-size: 3.5rem;
  color: #000000;
  text-align: center;
  position: absolute;
}

.project-items {
  padding-top: 70px;
  width: 100%;
  display: grid;
  justify-items: center;
  gap: 30px;
  grid-template-columns: repeat(3, 1fr);
}
.maincard {
  width: 190px;
  height: 254px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.maincard p {
  font-family: "Concert One", sans-serif;
  font-size: 32px;
  font-weight: 400;
  letter-spacing: 1px;
  text-align: center;
  color: #f6ff00;
  top: 30px;
  max-width: 152px;
  /* max-width: 200px; */
}

.card-a,
.card-b,
.card-c,
.card-d,
.card-e,
.card-f {
  background-color: #000000aa;
  padding: 12px;
  border-radius: 16px;
  cursor: pointer;

  /* color: white; */

  /* z-index: 1; */
}

/* .card-b ,.card-d{
    background-color: #000000aa;
    padding: 12px ;
    border-radius: 16px;
    cursor: pointer;
    color: white;
    border: 2px;



  }

  .card-e,.card-f{
    background-color: #000000aa;
    padding: 12px ;
    border-radius: 8px;
    cursor: pointer;
    color: white;
    border: 2px;
   

  } */

/* Button Inside Card */
/* From Uiverse.io by cssbuttons-io */
.project-items button {
  position: relative;
  display: inline-block;
  cursor: pointer;
  outline: none;
  border: 0;
  top: 75px;
  vertical-align: middle;
  text-decoration: none;
  background: transparent;
  padding: 0;
  font-size: inherit;
  font-family: "Roboto", sans-serif;
  font-weight: 300;
}

button.explore {
  width: 12rem;
  height: auto;
}

button.explore .circle {
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  position: relative;
  display: block;
  margin: 0;
  width: 3rem;
  height: 3rem;
  background: #ffffff21;
  border-radius: 1.625rem;
  border: 2px solid rgba(0, 157, 255, 0.88);
}

button.explore .circle .icon {
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto;
  background: #fff;
}

button.explore .circle .icon.arrow {
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  left: 0.625rem;
  width: 1.125rem;
  height: 0.125rem;
  background: none;
}

button.explore .circle .icon.arrow::before {
  position: absolute;
  content: "";
  top: -0.29rem;
  right: 0.0625rem;
  width: 0.625rem;
  height: 0.625rem;
  border-top: 0.125rem solid #fff;
  border-right: 0.125rem solid #fff;
  transform: rotate(45deg);
}

button.explore .button-text {
  transition: all 0.5s cubic-bezier(0.65, 0, 0.076, 1);
  position: absolute;
  top: 2px;
  left: 0;
  right: 0;
  bottom: 0;
  padding: 0.75rem 0;
  margin: 0 0 0 1.85rem;
  color: rgb(255, 242, 0);
  font-weight: 700;
  letter-spacing: 1px;
  line-height: 1.6;
  text-align: center;
  text-transform: uppercase;
}

button:hover .circle {
  width: 100%;
}

button:hover .circle .icon.arrow {
  background: #fff;
  transform: translate(1rem, 0);
}

button:hover .button-text {
  color: rgb(4, 226, 255);
}
/* Button Indside card Ends */

/* footer Start */
footer {
  background-color: #0e0e0e;
  height: 85vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.contact-card {
  position: absolute;
  width: 70%;
  height: 80%;
  background-color: #303030;
  border-radius: 20px;
  border: 2px solid #10b8d6;
  overflow: hidden;
}

.contact-card p {
  text-align: center;
  margin: 2px;
  color: #ffffff;
  letter-spacing: 1px;
  font-size: 3.5rem; /* Increase font size */
  font-weight: 400; /* Make the text bold */
  font-family: "jersey 10", sans-serif;
}
/* Input Field */
.form-control {
  position: relative;
  margin: 20px 0 40px;
  width: 300px;
  left: 110px;
}

.form-control input {
  background-color: transparent;
  border: 0;
  border-bottom: 2px #fff solid;
  display: block;
  width: 100%;
  padding: 15px 0;
  font-size: 18px;
  color: #ffffff;
}

.form-control input:focus,
.form-control input:valid {
  outline: 0;
  border-bottom-color: rgb(255, 238, 0);
}

.form-control label {
  position: absolute;
  top: 15px;
  left: 0;
  pointer-events: none;
}

.form-control label span {
  display: inline-block;
  font-size: 18px;
  min-width: 5px;
  color: #fff;
  transition: 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.form-control input:focus + label span,
.form-control input:valid + label span {
  color: rgba(0, 255, 247, 0.88);
  transform: translateY(-30px);
}
.social {
  display: flex;
  flex-direction: column; /* Arrange items vertically */
  align-items: flex-start; /* Align items to the left */
  position: relative;
  left: 280px;
  cursor: pointer;
  top: -5px;
  gap: 70px; /* Adjust the spacing between the icons */
}

.facebook,
.insta,
.linkedin,
.github {
  display: flex;
  align-items: center;
}

.social span {
  color: #ffffff;
  font-size: 16px;
  margin-left: 10px; /* Adds space between the icon and the text */
}
/* Input field End */

/* Send Button */

.send-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.send-btn button{

    border: none;

}
.send-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.button {
  line-height: 1;
  text-decoration: none;
  position: absolute;
  left: 18rem;
  margin-top: 410px;
  display: flex;
  align-items: center;
  gap: 0.75rem;
  background-color: rgba(255, 234, 0, 0.83);
  color: #fff;
  border-radius: 20px;
  font-weight: 600;
  padding: 0.75rem 1.5rem;
  padding-left: 20px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  transition: background-color 0.3s;
}

.button__icon-wrapper {
  flex-shrink: 0;
  width: 25px;
  height: 25px;
  position: relative;
  color: var(--clr);
  background-color: #fff;
  border-radius: 50%;
  display: grid;
  place-items: center;
  overflow: hidden;
}

.button:hover {
  background-color: #000;
}

.button:hover .button__icon-wrapper {
  color: #ff5900;
}

.button__icon-svg--copy {
  position: absolute;
  transform: translate(-150%, 150%);
}

.button:hover .button__icon-svg:first-child {
  transition: transform 0.3s ease-in-out;
  transform: translate(150%, -150%);
}

.button:hover .button__icon-svg--copy {
  transition: transform 0.3s ease-in-out 0.1s;
  transform: translate(0);
}
/* Send Button Ends */

/* footer ends */

/* Project Section Ends */

/* Responsiveness Start */

.hamburger {
  display: none;
}

/* General reset for input and buttons */
.hamburger input,
.nav-items ul li,
.nav-items ul li a {
  outline: none;
  border: none;
  background: none;
  box-shadow: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

/* Disable tap highlight */
* {
  -webkit-tap-highlight-color: transparent; /* Mobile Safari */
  -webkit-focus-ring-color: rgba(0, 0, 0, 0); /* Disable default focus ring */
}

/* Remove text selection */
.nav-items ul li a,
.hamburger svg {
  -webkit-user-select: none; /* Chrome, Safari, Opera */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version */
}

/* Remove active state */
.hamburger input:active,
.nav-items ul li:active,
.nav-items ul li a:active {
  background-color: transparent; /* Override active background */
  color: inherit; /* Maintain text color */
}

@media (max-width: 1080px) {
  .skills-section .animationcontainer {
    gap: 175px;
  }

  .social {
    left: 230px;
  }
  .button {
    left: 17rem;
    margin-top: 450px;
  }
}

@media (max-width: 1000px) {
  .nav-items ul {
    font-size: 18px;
  }

  .image-container {
    right: 28px;
  }
  .skills-section .animationcontainer {
    gap: 140px;
  }

  .icon-container {
    left: 150px;
  }
  .icon-container-b {
    right: 150px;
  }
  .project-items .maincard {
    width: 180px;
  }
  button.explore {
    width: 11rem;
  }

  .form-control input {
    width: 80%;
  }

  .social {
    left: 200px;
  }
  .button {
    left: 16rem;
    margin-top: 450px;
  }
}

@media (max-width: 850px) {
  .skills-section .animationcontainer {
    gap: 128px;
  }

  .image-container {
    right: 12px;
    width: 180px;
    height: 180px;
    top: 185px;
  }
  .icon-container {
    left: 100px;
  }
  .icon-container-b {
    right: 100px;
  }
  .project-items .maincard {
    width: 170px;
    height: 240px;
  }

  .project-items {
    gap: 18px 16px;
  }
  button.explore {
    width: 10rem;
  }
  button.explore .circle {
    left: -4px;
  }

  .social {
    left: 180px;
  }
}
@media (max-width: 800px) {
  .to-top {
    right: 5px;
    bottom: 35px;
  }
  .contain {
    width: 95%;
  }

  .card {
    width: auto;
  }
  .star {
    display: none;
  }
  .hamburger {
    display: block;
    cursor: pointer;
    margin-left: auto;
  }

  .intro {
    top: 175px;
  }
  .nav-items ul {
    display: none; /* Hide the menu by default */
    flex-direction: column;
    position: fixed;
    top: 78px;
    right: 28px;
    height: 50vh;
    width: 200px;
    background-color: #fff1e6;
    padding: 50px 20px;
    color: #161616;
    border-radius: 20px;
    box-shadow: -2px 0 5px rgba(0, 0, 0, 0.5);
    z-index: 999; /* Ensure the menu is above other elements */
  }
  .nav-items ul li a {
    color: #000000;
  }

  .nav-items ul.show-menu {
    display: flex;
  }

  .nav-items ul li {
    margin: 25px 0; /* Adjust the margin between the menu items */
  }

  .image-container {
    width: 180px;
    height: 180px;
    right: 40px;
    top: 145px;
  }

  .hamburger input {
    display: none;
  }

  .hamburger svg {
    /* The size of the SVG defines the overall size */
    height: 2em;
    margin: 0;
    /* Define the transition for transforming the SVG */
    transition: transform 600ms cubic-bezier(0.4, 0, 0.2, 1);
  }

  .line {
    fill: none;
    stroke: #ffffff;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-width: 3;
    /* Define the transition for transforming the Stroke */
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
      stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
    z-index: 1000;
  }

  .line-top-bottom {
    stroke-dasharray: 12 63;
  }

  .hamburger input:checked + svg {
    transform: rotate(-45deg);
  }

  .hamburger input:checked + svg .line-top-bottom {
    stroke-dasharray: 20 300;
    stroke-dashoffset: -32.42;
  }

  /* About section */

  .about-section {
    padding: 60px 75px;
  }

  /* Skill Icons */

  .skills-section .animationcontainer {
    gap: 114px;
  }
  .project-items .maincard {
    width: 160px;
    height: 240px;
  }
  .project-items {
    gap: 18px 16px;
  }
  button.explore {
    width: 10rem;
  }

  button.explore .circle {
    left: -4px;
  }
}

@media (max-width: 750px) and (min-width: 650px) {
  .contain {
    width: 95%;
  }

  .card {
    width: auto;
  }
  .image-container {
    width: 150px;
    height: 150px;
    right: 30px;
  }
  .intro {
    left: 65px;
    top: 175px;
  }

  .me,
  .me2 {
    font-size: 22px;
  }

  .btn {
    left: 65px;
  }

  .skills-section .animationcontainer {
    gap: 90px;
  }
  .icon-container {
    left: 65px;
  }
  .icon-container-b {
    right: 65px;
  }
  .project-items .maincard {
    width: 142px;
    height: 230px;
  }
  .maincard p {
    font-size: 30px;
    text-align: center;
  }
  .project-items {
    gap: 18px 10px;
  }

  .skills-section .project-container {
    width: 82%;
  }
  button.explore {
    width: 9rem;
  }
  .form-control {
    left: 75px;
  }
  .form-control input {
    width: 70%;
  }
  .social {
    left: 145px;
  }
  .button {
    left: 11rem;
    margin-top: 450px;
  }
}

@media (max-width: 650px) and (min-width: 500px) {
  /* .nav-items ul {
    width: 200px;
    height: 60vh;
    font-size: 18px;
    right: 18px;
    top: 85px;
    padding: 20px 25px;
  } */

  .nav-items ul li {
    margin: 25px 0; /* Adjust the margin between the menu items */
  }
  .contain {
    width: 95%;
  }

  .card {
    width: auto;
    border: none;
  }

  .image-container {
    width: 150px;
    height: 150px;
    right: 25px;
  }

  .intro {
    left: 22px;
  }

  .me,
  .me2 {
    font-size: 20px;
  }

  .name {
    font-size: 28px;
  }

  /* About */

  .about-section {
    padding: 60px 50px;
  }

  .btn {
    left: 22px;
  }
  .text-container .text {
    font-size: 12px;
  }

  .skills-section .animationcontainer {
    gap: 52px;
  }

  .icon-container {
    left: 40px;
  }
  .icon-container-b {
    right: 40px;
  }
  .project-items .maincard {
    width: 165px;
    height: 230px;
  }
  .maincard p {
    font-size: 32px;
    text-align: center;
  }

  .project-items {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 18px 16px;
  }
  .skills-section .project-container {
    width: 80%;
  }
  button.explore {
    width: 9rem;
  }
  .contact-card {
    width: 80%;
  }
  .form-control {
    left: 55px;
    width: 235px;
  }
  .form-control input {
    width: 70%;
  }
  .social {
    left: 120px;
  }
  .button {
    left: 7rem;
    margin-top: 450px;
  }
}

@media (max-width: 500px) and (min-width: 400px) {
  .nav-items ul {
    width: 200px;
    height: 50vh;
    font-size: 18px;
    right: 18px;
    top: 78px;
    padding: 20px 25px;
  }

  .nav-items ul li {
    margin: 25px 0; /* Adjust the margin between the menu items */
  }

  .contain {
    width: 95%;
  }
  .card {
    width: auto;
  }
  .intro {
    left: 22px;
  }
  .me,
  .me2 {
    font-size: 18px;
  }

  .image-container {
    width: 125px;
    height: 125px;
    right: 20px;
    top: 155px;
  }
  .name {
    font-size: 22px;
  }

  /* About */

  .about-section {
    padding: 60px 50px;
  }

  .btn {
    left: 22px;
  }

  .text-container .text {
    font-size: 12px;
  }

  .skills-section .animationcontainer {
    gap: 28px;
  }
  .icon-container {
    left: 20px;
  }
  .icon-container-b {
    right: 20px;
  }
  .project-items .maincard {
    width: 130px;
    height: 190px;
  }
  .maincard p {
    font-size: 24px;
    text-align: center;
  }

  .project-items {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 18px 10px;
  }

  button.explore {
    width: 8rem;
  }
  button.explore .button-text {
    font-size: 14px;
    left: 16px;
    line-height: 2;
  }

  .project-items button {
    top: 60px;
  }
  footer {
    height: 90vh;
  }

  .contact-card {
    width: 80%;
    height: 85%;
  }
  .form-control {
    left: 55px;
    /* width: 235px; */
  }
  .form-control input {
    width: 70%;
  }
  .social {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-items: center;
    left: 0px;
    top: 240px;
    gap: 10px;
  }
  .social span {
    font-size: 12px;
  }
  .button {
    left: 90px;
    margin-top: 330px;
  }
}

@media (max-width: 400px) and (min-width: 300px) {
  .intro {
    top: 280px;
    left: 22px;
  }

  .nav-items ul {
    width: 170px;
    height: 50vh;
    font-size: 18px;
    right: 18px;
    top: 78px;
    padding: 20px 25px;
  }

  .nav-items ul li {
    margin: 25px 0; /* Adjust the margin between the menu items */
  }

  .image-container {
    width: 140px;
    height: 140px;
    right: 20px;
    top: 110px;
  }
  .card {
    border: none;
  }

  .name {
    font-size: 26px;
  }

  .me,
  .me2 {
    font-size: 20px;
  }

  /* About */

  .about-content {
    font-size: 1.1rem;
  }

  .about-section {
    padding: 45px 38px;
  }

  .btn {
    left: 22px;
    bottom: 118px;
  }

  .text-container .text {
    font-size: 10px;
  }

  .skills-section .animationcontainer {
    gap: 2px;
  }
  .icon-container-b > div {
    width: 70px;
    height: 70px;
  }

  .icon-container > div {
    width: 70px;
    height: 70px;
  }

  .icon-container {
    left: 20px;
  }
  .icon-container-b {
    right: 20px;
  }
  .project-items .maincard {
    width: 190px;
    height: 254px;
  }
  .project-items {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
  }

  .maincard p {
    font-size: 32px;
    text-align: center;
  }

  /* .skills-section .project-container{
    width: 80%;
} */
  /* button.explore{
    width: 8rem;
  }
  button.explore .button-text{
    font-size: 14px;
    left: 16px;
    line-height: 2;
  } */
  /* .project-items button{
    top: 60px;
  } */
  footer {
    height: 90vh;
  }

  .contact-card {
    width: 80%;
    height: 85%;
  }
  .form-control {
    left: 32px;
    width: 235px;
  }
  .form-control input {
    width: 70%;
  }
  .social {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    left: 0;
    top: 240px;
    gap: 10px;
  }
  .social span {
    font-size: 12px;
  }
  .button {
    left: 60px;
    margin-top: 335px;
  }
}

@media (max-width: 299px) and (min-width: 200px) {
  .contain {
    width: 95%;
  }

  .card {
    width: auto;
    border: none;
  }

  .image-container {
    width: 100px;
    right: 12px;
    height: 100px;
    top: 135px;
  }

  .logo {
    font-size: 20px;
    padding-top: 1px;
  }

  .hamburger svg {
    height: 1.5rem;
  }
  .intro {
    top: 270px;
    left: 18px;
  }

  .name {
    font-size: 16px;
  }

  .me,
  .me2 {
    font-size: 12px;
  }

  .nav-items ul {
    width: 115px;
    height: 50vh;
    font-size: 18px;
    right: 10px;
    top: 78px;
    padding: 20px 25px;
  }

  .nav-items ul li {
    margin: 25px 0; /* Adjust the margin between the menu items */
  }

  /* About */

  .about-content {
    font-size: 1rem;
  }

  .about-section p {
    font-size: 3rem;
  }

  .about-section {
    padding: 40px 18px;
  }

  .btn {
    left: 22px;
    bottom: 118px;
  }

  .text-container .text {
    font-size: 10px;
  }

  .download-btn {
    height: 40px;
  }

  .svg-container,
  .text-container {
    height: 43px;
  }

  .skill-card {
    width: 72%;
  }

  .skills-section .animationcontainer {
    gap: 1px;
  }

  .icon-container > div {
    width: 60px;
    height: 60px;
  }

  .icon-container-b > div {
    width: 60px;
    height: 60px;
  }
  .icon-container {
    left: 15px;
    bottom: 5%;
  }
  .icon-container-b {
    right: 15px;
    bottom: 5%;
  }
  .box4,
  .box47 {
    display: none;
  }

  .project-container {
    width: 72%;
  }

  .projectSection p {
    font-size: 2.8rem;
  }
  .project-items .maincard {
    width: 150px;
    height: 232px;
  }
  .project-items {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 18px 5px;
  }

  .maincard p {
    font-size: 30px;
    text-align: center;
  }

  footer {
    height: 90vh;
  }

  .contact-card {
    width: 90%;
    height: 85%;
  }
  .contact-card p {
    font-size: 3rem;
  }
  .form-control {
    left: 16px;
    width: 200px;
  }
  .form-control input {
    width: 70%;
  }
  .social {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    left: 0;
    top: 240px;
    gap: 10px;
  }
  .social span {
    font-size: 10px;
  }
  .button {
    left: 22px;
    margin-top: 335px;
    padding: 0.55rem 0.6rem;
  }
}

@media (max-width: 199px) and (min-width: 100px) {
  .contain {
    width: 98%;
  }

  .card {
    width: auto;
    border: none;
  }
  .intro {
    top: 265px;
    left: 18px;
  }

  .name {
    font-size: 12px;
  }

  .me,
  .me2 {
    font-size: 10px;
  }

  .logo {
    font-size: 20px;
    padding: 0;
  }

  .hamburger svg {
    height: 1.5rem;
    padding-top: 6px;
  }
  .nav-items ul {
    width: 80px;
    height: 50vh;
    font-size: 16px;
    right: 4px;
    top: 78px;
    padding: 20px 25px;
  }

  .nav-items ul li {
    margin: 25px 0; /* Adjust the margin between the menu items */
  }

  .image-container {
    width: 80px;
    height: 80px;
    top: 130px;
    right: 8px;
  }
  /* About */

  .about-section {
    padding: 40px 10px;
  }

  .about-content {
    font-size: 0.8rem;
  }
  .about-section p {
    font-size: 2.5rem;
  }

  .btn {
    left: 18px;
  }
  .text-container .text {
    font-size: 8px;
  }

  .download-btn {
    height: 40px;
    width: 118%;
  }

  .svg-container,
  .text-container {
    height: 43px;
  }

  .skill-card {
    width: 65%;
  }

  .icon-container > div {
    width: 50px;
    height: 50px;
  }

  .icon-container-b > div {
    width: 50px;
    height: 50px;
  }
  .icon-container {
    left: 8px;
    bottom: 10%;
  }
  .icon-container-b {
    right: 8px;
    bottom: 10%;
  }

  .project-container {
    width: 72%;
  }

  .projectSection p {
    font-size: 2.8rem;
  }
  .project-items .maincard {
    width: 120px;
    height: 232px;
  }
  .project-items {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 18px 5px;
  }

  .maincard p {
    font-size: 18px;
    text-align: center;
  }
  button.explore .button-text {
    font-size: 16px;
    font-weight: 500;
    left: 12px;
  }
  button.explore {
    width: 8rem;
  }
  button.explore .circle {
    left: -5px;
  }

  footer {
    height: 90vh;
  }

  .contact-card {
    width: 90%;
    height: 85%;
  }
  .contact-card p {
    font-size: 3rem;
  }
  .form-control {
    left: 16px;
    width: 200px;
  }
  .form-control input {
    width: 70%;
  }
  .social {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    left: 0;
    top: 240px;
    gap: 10px;
  }
  .social img {
    width: 20px;
    height: 20px;
  }
  .social span {
    font-size: 8px;
  }
  .button {
    left: 22px;
    margin-top: 335px;
    padding: 0.45rem 0.5rem;
  }
  .skills-section .animationcontainer {
    gap: 0px;
  }
  .box4,
  .box7,
  .box3 {
    display: none;
  }
}

/* End Responsive */
